package com.qmth.distributed.print.business.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.distributed.print.business.bean.ApiUser;
import com.qmth.distributed.print.business.bean.dto.BlurryUserDto;
import com.qmth.distributed.print.business.bean.dto.ExamTaskDto;
import com.qmth.distributed.print.business.bean.dto.ExamTaskImportDto;
import com.qmth.distributed.print.business.bean.query.BlurryParam;
import com.qmth.distributed.print.business.bean.query.ExamTaskParam;
import com.qmth.distributed.print.business.entity.ExamTask;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * <p>
 * 命题任务 服务类
 * </p>
 *
 * @author xf
 * @since 2021-03-23
 */
public interface ExamTaskService extends IService<ExamTask> {

    List<ExamTask> listByCourseCode(Long schoolId, String code);

    IPage<ExamTaskDto> list(Long schoolId, Boolean enable, String status, Long cardRuleId, String courseCode, String paperNumber, Long startTime, Long endTime, Integer pageNumber, Integer pageSize);

    List<String> listPaperNumber(Long schoolId, String param);

    List<BlurryUserDto> listUser(Long schoolId, String param);

    boolean assignUser(ExamTask examTask);

    boolean enable(ExamTask examTask);

    boolean saveExamTask(ExamTask examTask);

    List<ExamTaskImportDto> importFile(MultipartFile file, String md5, ApiUser apiUser);

    boolean saveBatch(ExamTask task);
}
